import{s as Q,o as W,n as X}from"../chunks/scheduler.bdbef820.js";import{S as Z,i as tt,g as r,s as l,r as U,A as et,h as d,f as a,c as i,j as q,u as Y,x as p,k as I,y as at,a as s,v as V,d as B,t as J,w as K}from"../chunks/index.c0aea24a.js";import{H as st,g as ot}from"../chunks/Heading.aab2beda.js";import{T as nt}from"../chunks/Tip.31005f7d.js";function lt($){let o,f='For a complete, but not required, set of tag options you can also look at the <a href="https://github.com/huggingface/hub-docs/blob/main/datasetcard.md?plain=1" rel="nofollow">Dataset Card specifications</a>. This’ll have a few more tag options like <code>multilinguality</code> and <code>language_creators</code> which are useful but not absolutely necessary.';return{c(){o=r("p"),o.innerHTML=f},l(n){o=d(n,"P",{"data-svelte-h":!0}),p(o)!=="svelte-edd086"&&(o.innerHTML=f)},m(n,v){s(n,o,v)},p:X,d(n){n&&a(o)}}}function it($){let o,f,n,v,m,C,g,j=`Each dataset should have a dataset card to promote responsible usage and inform users of any potential biases within the dataset.
This idea was inspired by the Model Cards proposed by <a href="https://arxiv.org/abs/1810.03993" rel="nofollow">Mitchell, 2018</a>.
Dataset cards help users understand a dataset’s contents, the context for using the dataset, how it was created, and any other considerations a user should be aware of.`,T,y,F="Creating a dataset card is easy and can be done in a just a few steps:",L,w,N='<li><p>Go to your dataset repository on the <a href="https://hf.co/new-dataset" rel="nofollow">Hub</a> and click on <strong>Create Dataset Card</strong> to create a new <code>README.md</code> file in your repository.</p></li> <li><p>Use the <strong>Metadata UI</strong> to select the tags that describe your dataset. You can add a license, language, pretty_name, the task_categories, size_categories, and any other tags that you think are relevant. These tags help users discover and find your dataset on the Hub.</p></li>',k,c,R='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/datasets-metadata-ui.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/datasets-metadata-ui-dark.png"/>',x,u,H,h,S='<li><p>Click on the <strong>Import dataset card template</strong> link to automatically create a template with all the relevant fields to complete. Fill out the template sections to the best of your ability. Take a look at the <a href="https://github.com/huggingface/datasets/blob/main/templates/README_guide.md" rel="nofollow">Dataset Card Creation Guide</a> for more detailed information about what to include in each section of the card. For fields you are unable to complete, you can write <strong>[More Information Needed]</strong>.</p></li> <li><p>Once you’re done, commit the changes to the <code>README.md</code> file and you’ll see the completed dataset card on your repository.</p></li>',E,b,z='YAML also allows you to customize the way your dataset is loaded by <a href="./repository_structure#define-your-splits-and-subsets-in-yaml">defining splits and/or configurations</a> without the need to write any code.',P,_,G='Feel free to take a look at the <a href="https://huggingface.co/datasets/snli" rel="nofollow">SNLI</a>, <a href="https://huggingface.co/datasets/cnn_dailymail" rel="nofollow">CNN/DailyMail</a>, and <a href="https://huggingface.co/datasets/allocine" rel="nofollow">Allociné</a> dataset cards as examples to help you get started.',D,M,A;return m=new st({props:{title:"Create a dataset card",local:"create-a-dataset-card",headingTag:"h1"}}),u=new nt({props:{$$slots:{default:[lt]},$$scope:{ctx:$}}}),{c(){o=r("meta"),f=l(),n=r("p"),v=l(),U(m.$$.fragment),C=l(),g=r("p"),g.innerHTML=j,T=l(),y=r("p"),y.textContent=F,L=l(),w=r("ol"),w.innerHTML=N,k=l(),c=r("div"),c.innerHTML=R,x=l(),U(u.$$.fragment),H=l(),h=r("ol"),h.innerHTML=S,E=l(),b=r("p"),b.innerHTML=z,P=l(),_=r("p"),_.innerHTML=G,D=l(),M=r("p"),this.h()},l(t){const e=et("svelte-u9bgzb",document.head);o=d(e,"META",{name:!0,content:!0}),e.forEach(a),f=i(t),n=d(t,"P",{}),q(n).forEach(a),v=i(t),Y(m.$$.fragment,t),C=i(t),g=d(t,"P",{"data-svelte-h":!0}),p(g)!=="svelte-1t3wyw1"&&(g.innerHTML=j),T=i(t),y=d(t,"P",{"data-svelte-h":!0}),p(y)!=="svelte-12iw4ei"&&(y.textContent=F),L=i(t),w=d(t,"OL",{"data-svelte-h":!0}),p(w)!=="svelte-9w9t8g"&&(w.innerHTML=N),k=i(t),c=d(t,"DIV",{class:!0,"data-svelte-h":!0}),p(c)!=="svelte-78myk1"&&(c.innerHTML=R),x=i(t),Y(u.$$.fragment,t),H=i(t),h=d(t,"OL",{start:!0,"data-svelte-h":!0}),p(h)!=="svelte-tamvby"&&(h.innerHTML=S),E=i(t),b=d(t,"P",{"data-svelte-h":!0}),p(b)!=="svelte-ttvehl"&&(b.innerHTML=z),P=i(t),_=d(t,"P",{"data-svelte-h":!0}),p(_)!=="svelte-bje2ue"&&(_.innerHTML=G),D=i(t),M=d(t,"P",{}),q(M).forEach(a),this.h()},h(){I(o,"name","hf:doc:metadata"),I(o,"content",rt),I(c,"class","flex justify-center"),I(h,"start","3")},m(t,e){at(document.head,o),s(t,f,e),s(t,n,e),s(t,v,e),V(m,t,e),s(t,C,e),s(t,g,e),s(t,T,e),s(t,y,e),s(t,L,e),s(t,w,e),s(t,k,e),s(t,c,e),s(t,x,e),V(u,t,e),s(t,H,e),s(t,h,e),s(t,E,e),s(t,b,e),s(t,P,e),s(t,_,e),s(t,D,e),s(t,M,e),A=!0},p(t,[e]){const O={};e&2&&(O.$$scope={dirty:e,ctx:t}),u.$set(O)},i(t){A||(B(m.$$.fragment,t),B(u.$$.fragment,t),A=!0)},o(t){J(m.$$.fragment,t),J(u.$$.fragment,t),A=!1},d(t){t&&(a(f),a(n),a(v),a(C),a(g),a(T),a(y),a(L),a(w),a(k),a(c),a(x),a(H),a(h),a(E),a(b),a(P),a(_),a(D),a(M)),a(o),K(m,t),K(u,t)}}}const rt='{"title":"Create a dataset card","local":"create-a-dataset-card","sections":[],"depth":1}';function dt($){return W(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=ot}),[]}class ft extends Z{constructor(o){super(),tt(this,o,dt,it,Q,{})}}export{ft as component};
